ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InetAccountingPeriodDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<InetAccountingPeriod>
      - - ru.bitel.bgbilling.modules.inet.api.server.bean.InetAccountingPeriodDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class InetAccountingPeriodDao
      extends ru.bitel.common.dao.AbstractIdDao<InetAccountingPeriod>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetAccountingPeriodDao(java.sql.Connection con, int moduleId)` Deprecated.
    `InetAccountingPeriodDao(java.sql.Connection con, int moduleId, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteForContract(int contractId)`
    `protected InetAccountingPeriod` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<InetAccountingPeriod>` | `list(int contractId)`
    `java.util.List<InetAccountingPeriod>` | `list(int contractId, java.util.Date dateFrom)`
    `java.util.List<InetAccountingPeriod>` | `list(int contractId, java.util.Date dateFrom, boolean lockInShareMode)`
    `void` | `recycle()`
    `protected void` | `updateImpl(InetAccountingPeriod b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetAccountingPeriodDao

          @Deprecated
          public InetAccountingPeriodDao(java.sql.Connection con,
                                                     int moduleId)

      Deprecated.

    - #### InetAccountingPeriodDao

          public InetAccountingPeriodDao(java.sql.Connection con,
                                         int moduleId,
                                         int userId)

  - ### Method Detail

    - #### getFromRS

          protected InetAccountingPeriod getFromRS(java.sql.ResultSet rs)
                                            throws java.sql.SQLException,
                                                   ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<InetAccountingPeriod>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(InetAccountingPeriod b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<InetAccountingPeriod>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### list

          public java.util.List<InetAccountingPeriod> list(int contractId)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<InetAccountingPeriod> list(int contractId,
                                                           java.util.Date dateFrom,
                                                           boolean lockInShareMode)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<InetAccountingPeriod> list(int contractId,
                                                           java.util.Date dateFrom)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteForContract

          public void deleteForContract(int contractId)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### recycle

          public void recycle()
                       throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `recycle` in class `ru.bitel.common.dao.AbstractDao<InetAccountingPeriod>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`